unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
  System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs,
  VclTee.TeeGDIPlus, Vcl.StdCtrls, VCLTee.TeEngine, Vcl.ExtCtrls,
  VCLTee.TeeProcs, VCLTee.Chart, VCLTee.Series;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  I    : Integer;
  ry   : Double;
begin
  with Chart1 do
  begin
    View3D                      := False;
    AllowZoom                   := False;
    AllowPanning                := pmNone;
    Gradient.Visible            := False;
    Walls.Back.Gradient.Visible := False;
    Walls.Back.Color            := clBlack;
    MarginTop                   := 2;
    MarginBottom                := 2;
    MarginLeft                  := 13;
    MarginRight                 := 13;
    Color                       := clBlack;
    Legend.Visible              := False;
    Legend.CheckBoxes           := False;
    Legend.LegendStyle          := lsSeries;
    Legend.Alignment            := laBottom;
    Legend.Color                := clBlack;
    Legend.Font.Color           := clWhite;
    Legend.Selected.Hover.Font.Color := clWhite;
    Title.Font.Color            := clWhite;
    Title.Font.Style            := [];
    Title.Font.Size             := 11;
    SubTitle.Font.Color         := clWhite;
    SubTitle.Font.Style         := [fsBold];
    SubTitle.Font.Size          := 11;
    SubFoot.Font.Color          := clWhite;
    SubFoot.Font.Style          := [];
    SubFoot.Font.Size           := 11;
    SubFoot.Alignment           := taLeftJustify;
    Foot.Font.Color             := clWhite;
    Foot.Font.Style             := [];
    Foot.Font.Size              := 11;

    PrintMargins                := Rect(0,5,0,5);
    PrintProportional           := False;
  end;
  with Chart1.Axes.Bottom do
  begin
    Title.Font.Color            := clWhite;
    Title.Font.Size             := 11;
    Title.Margins.Top           := 10;
    Title.Angle                 := 0;
    Visible                     := True;
    Automatic                   := False;
    LabelStyle                  := talValue;
    LabelsFont.Size             := 11;
    Grid.Visible                := True;
    Grid.Centered               := False;
    Grid.Width                  := 1;
    Grid.Color                  := clGray;
    Grid.Style                  := psDash;
    AxisValuesFormat            := '0';
    MinorTicks.Visible          := False;
    Axis.Color                  := clGray;
    Labels                      := True;
    LabelsFont.Color            := clWhite;
    TickLength                  := 10;
    Ticks.Color                 := clGray;
    Ticks.Visible               := True;
    Minimum                     := 0;
    Maximum                     := 1800;
    Increment                   := 300;
  end;

  with Chart1.Axes.Left do
  begin
    Title.Caption               := 'LeftTitle';
    AxisValuesFormat            := '##0.0';
    Increment                   := 10;
    SetMinMax(0, 100);
    Axis.Color                  := clBlack;
    Ticks.Color                 := clYellow;
    LabelsFont.Color            := clYellow;
    Title.Font.Color            := clYellow;
    PositionPercent             := -1;
  end;

  rY := 0;

  for I := 1 to 11 do
  begin
    Chart1.Axes.Left.Items.Add(rY,'');
    rY := rY + 10;
  end;

  Chart1.Axes.Left.Items[0].Text  := '0';
  Chart1.Axes.Left.Items[1].Text  := '10';
  Chart1.Axes.Left.Items[5].Text  := '50';
  Chart1.Axes.Left.Items[10].Text := '100';
end;

end.
